// $Id$
// fichier de donnees gmsh

C1 = 10;
//nCx = 3;
//nCy = 4;
//nCz = 5;

lc = 1;

Point(1) = { 0,   0, 0, lc};
Point(2) = { C1,   0, 0, lc};
Point(3) = { C1, 0, C1, lc};
Point(4) = { 0, 0, C1, lc};

Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 1};

Transfinite Line {1,3} = nCx+1 Using Progression 1;
Transfinite Line {2,4} = nCz+1 Using Progression 1;

Line Loop(11) = {1,2,3,4};
Plane Surface(12) = {11};
Transfinite Surface {12};
Recombine Surface {12};

Extrude {0, C1, 0}
{
  Surface{12}; Layers{nCy}; Recombine;
}

// physical entities

Physical Volume("Body 1") = {1};

Physical Surface("Surf 1 1") = {-21};
Physical Surface("Surf 1 2") = {-29};

Physical Point("Measure point 1") = {4};
Physical Point("Measure point 2") = {1};
